function ArenaLive_ThreatIndicator_Initialise (mainFrame, indicator, feedbackUnit)

	if ( not mainFrame ) then
		return;
	end
	
	mainFrame.indicator = indicator;
	mainFrame.feedbackUnit = feedbackUnit;
	mainFrame:RegisterEvent("UNIT_THREAT_SITUATION_UPDATE");
end



function ArenaLive_ThreatIndicator_OnEvent (self, event, ...)
	
	if ( not self.unit ) then
		return;
	end
	
	if (event == "UNIT_THREAT_SITUATION_UPDATE" ) then
		ArenaLive_ThreatIndicator_Update(self, ...);
	end

end



function ArenaLive_ThreatIndicator_Update (mainFrame, unit)
	-- TO DO: NUMERIC INDICATOR (Maybe)
	
	if ( ( not mainFrame.indicator ) or ( not mainFrame.unit ) ) then
		return;
	end
	
	if ( not unit or unit == mainFrame.feedbackUnit ) then
		local status;
		
		if ( mainFrame.feedbackUnit ~= mainFrame.unit ) then
			status = UnitThreatSituation(mainFrame.feedbackUnit, mainFrame.unit);
		else
			status = UnitThreatSituation(mainFrame.feedbackUnit);
		end
		
		if ( status and status > 0 ) then
			mainFrame.indicator:SetVertexColor(GetThreatStatusColor(status));
			mainFrame.indicator:Show();
		else
			mainFrame.indicator:Hide();
		end
	end

end